/*
    tcl-fuse - Tcl FUSE Interface
    A Tcl interface to the Linux kernel's FUSE subsystem.

    Copyright (C) 2008  Alexandros Stergiakis

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
 * convert.h
 *
 */

int convert__errno(Tcl_Interp *interp);
Tcl_Obj *convert__fuse_file_info(struct fuse_file_info *fi);
Tcl_Obj *convert__fuse_conn_info(struct fuse_conn_info *ci);
Tcl_Obj *convert__fuse_context(struct fuse_context *context);
int rconvert__stat(Tcl_Interp *interp, struct stat *st, Tcl_Obj *dictPtr);
Tcl_Obj *convert__type(mode_t mode);
Tcl_Obj *convert__access_mask(int mask);
int rconvert__statvfs(Tcl_Interp *interp, struct statvfs *stbuf, Tcl_Obj *dictPtr);
Tcl_Obj *convert__flock(struct flock *lock);
Tcl_Obj *convert__lockcmd(int cmd);
