#!/usr/bin/env tclsh

set dir [pwd]
set dir [string range $dir 0 end-15]
set ::auto_path "$::auto_path $dir"

package require Tk
package require Tcl 8.5
package require tktopdf

wm geometry . =400x600

. configure -bg green

labelframe .labfr \
    -text "Title" \
    -height 200 \
    -width 200 \
    -pady 15 \
    -relief ridge \
    -borderwidth 8 \
    -bg blue \
    -labelanchor ne \
    -highlightthickness 12 \
    -font {Helvetica 16}

button .labfr.widget1 \
    -text "-=OK=-" \
    -bg #10efee \
    -borderwidth 3 \
    -relief sunken \
    -pady 4 \
    -padx 10 \
    -anchor e \
    -font {Helvetica 12}

button .labfr.widget2 \
    -text "NO" \
    -bg #10efee \
    -borderwidth 3 \
    -relief raised \
    -font {aakar 8} \
    -highlightthickness 6 \
    -anchor ne \
    -font {Helvetica 12}

labelframe .labfr.lab2 \
    -text textix -font {Arial 20}

button .labfr.lab2.btn \
    -text oK -font {Arial 15}

labelframe .labfr.lab2.labxx \
    -text next -font {Arial 10}

button .labfr.lab2.labxx.btn \
    -text oK -font {Helvetica 12}

labelframe .l \
    -text textix -font {Helvetica 10}

button .l.btn \
    -text oK -font {Helvetica 10}

place .labfr.lab2.labxx -x 10 -y 50 -width 50 -height 50
place .l -x 50 -y 380 -width 100 -height 100
place .labfr -x 0 -y 0 -height 400 -width 400
place .labfr.lab2 -width 100 -height 140 -x 80 -y 120
pack .labfr.lab2.btn
pack .l.btn
pack .labfr.lab2.labxx.btn
pack .labfr.widget1
pack .labfr.widget2

tktopdf::startFile -file "labelframe_rotated.pdf" \
        -scalex 1.0 -scaley 1.0 \
        -marginleft 0 -margintop 0 -marginright 0 -marginbottom 0 \
        -pagex 0 -pagey 0 \
        -rotatexy 1 -pagewidth 400 -pageheight 400
tktopdf::exportWindow .labfr
tktopdf::endFile

tktopdf::startFile -file "labelframe_wholewindow.pdf" \
        -scalex 1.0 -scaley 1.0 \
        -marginleft 0 -margintop 0 -marginright 0 -marginbottom 0 \
        -pagex 0 -pagey 0 \
        -rotatexy 0 -pagewidth 400 -pageheight 600
tktopdf::exportWindow .
tktopdf::endFile
